#ifndef MENUBUTTON_H
#define MENUBUTTON_H

#include "raylib.h"

enum displays {game_ui, options, load_save, main_menu};
typedef enum displays Display;

struct Str_Menu_Button{
    Rectangle button;
    Rectangle smallerButton;
    char* displayText;
    Display displayOnClick;
};

typedef struct Str_Menu_Button Menu_Button;

Menu_Button * Button_init(Rectangle button, Rectangle smallerButton, char* displayText, Display display);

void Button_draw(Menu_Button * self, Font * font, const int screenWidth, const int screenHeight);

#endif